Subject: RE: [nfsv4] Re: Seperation of generic pNFS and layout encoding/de coding

From: "Halevy, Benny" <[email-masked]>
Date: Wed, 23 Nov 2005 07:55:51 -0500

On November 23, 2005 1:30 AM, Garth Goodson wrote:
> 
> Here are my proposed changes based on Andy's suggestion.  Some 
> differences include: Keeping a separate pnfs_deviceaddr4 
> structure as it 
> is used in both GETDEVICELIST and GETDEVICEINFO; Merging the layout 
> structure with the opaque portion; Keeping separate layout_update and 
> layout_hint structures (for cleanliness).
> 
> If there are no disagreements I will send to Spencer for inclusion.
> 
> -Garth
> 
> Proposed changes:
> -----------------
> 
> 6.3  pnfs_deviceaddr4
> 
>       struct pnfs_netaddr4 {
>                string           r_netid<>;   /* network ID */
>                string           r_addr<>;    /* universal address */
>       };
> 
>       struct pnfs_deviceaddr4 {
>                pnfs_layouttype4 type;
>                opaque           device_addr<>;
>       };
> 
>     The device address is used to set up a communication 
> channel with the
>     storage device.  Different layout types will require 
> different types
>     of structures to define how they communicate with storage devices.
>     The opaque device_addr field must be interpreted based on the
>     specified layout type.

Does this mean we'll need different layout types for blocks/objects
over IP, FC, or IB?  Although the interconnect media might be different
I'm not sure that the layout itself will be any different with respect
to mapping bytes in the file to bytes on storage once you know how
to name the device and the logical unit inside it.

I'd vote for adding a pnfs_devaddrtype4 field that could hold, for example,
IP, FC, or IB.

Benny

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4